export default Viewer3d;
declare class Viewer3d {
    constructor(scene: any, options?: {});
    options: any;
    scene: any;
    previousWidth: number;
    previousHeight: number;
    ro: ResizeObserverPolyfill;
    animate(): void;
    onWindowResize(): void;
    initCamera(): void;
    camera: PerspectiveCamera | undefined;
    setContainer(domNode: any): void;
    container: any;
    controls: any;
    initRenderer(): void;
    renderer: WebGLRenderer | undefined;
    updateOptions(options: any): void;
    destroy(): void;
    addVisualization(vizObject: any): void;
}
import { ResizeObserver as ResizeObserverPolyfill } from "@juggle/resize-observer";
import { PerspectiveCamera } from "three/src/cameras/PerspectiveCamera";
import { WebGLRenderer } from "three/src/renderers/WebGLRenderer";
